# -*- encoding: utf-8 -*

def decode_aux02(a2):
    """
    this code splits the data in aux02 (from profit db)
    """
    data = a2.split(';')
    pc=le=he=wi=0
    ub=''
    if len(data) == 4:
        if data[0]:
            pc = int(float(data[0]))
            wi = float(data[0])
        if data[1]:
            le = float(data[1])
        if data[2]:
            he = float(data[2])
        if data[3]:
            ub = data[3]
    res = {'pieces':pc,
           'length':le,
           'heigth':he,
           'width':wi,
           'location':ub,}
    return res       
    

def _calc_area(f1,f2):
    return int(f1*f2*10000)/10000.0   
 
    
def stock_en_factores_a2(a2):
    try: 
        f = _calc_area(a2['length'],a2['heigth'])   
        return _calc_area(a2['pieces'],f) if a2['width'] == 0 else _calc_area(a2['width'],f)
    except:
        return 0    
